import { compose, withHandlers, withProps } from 'recompose'
import { withModal } from 'pubsweet-component-modal/src/components'

import { MultiAction, SingleActionModal, FormModal } from './'

const OpenModal = ({ showModal, children }) => children(showModal)

const selectModalComponent = props => {
  if (props.single) {
    return {
      modalComponent: SingleActionModal,
    }
  }
  if (props.formModal)
    return {
      modalComponent: FormModal,
    }
  return {
    modalComponent: MultiAction,
  }
}

export default compose(
  withProps(selectModalComponent),
  withModal(({ isFetching, modalKey, modalComponent }) => ({
    isFetching,
    modalComponent,
  })),
  withHandlers({
    showModal: props => () => {
      props.showModal(props)
    },
  }),
)(OpenModal)
