const Chance = require('chance')
const { user, handlingEditor, answerHE } = require('./userData')
const { fragment } = require('./fragments')
const { standardCollID } = require('./collectionIDs')

const chance = new Chance()
const collections = {
  collection: {
    id: standardCollID,
    title: chance.sentence(),
    type: 'collection',
    fragments: [fragment.id],
    owners: [user.id],
    save: jest.fn(() => collections.collection),
    invitations: [
      {
        id: chance.guid(),
        role: 'handlingEditor',
        hasAnswer: false,
        isAccepted: false,
        userId: handlingEditor.id,
        invitedOn: chance.timestamp(),
        respondedOn: null,
      },
      {
        id: chance.guid(),
        role: 'handlingEditor',
        hasAnswer: true,
        isAccepted: false,
        userId: answerHE.id,
        invitedOn: chance.timestamp(),
        respondedOn: chance.timestamp(),
      },
    ],
    handlingEditor: {
      id: handlingEditor.id,
      hasAnswer: false,
      isAccepted: false,
      email: handlingEditor.email,
      invitedOn: chance.timestamp(),
      respondedOn: null,
      name: `${handlingEditor.firstName} ${handlingEditor.lastName}`,
    },
    technicalChecks: {
      token: chance.guid(),
    },
    status: 'reviewCompleted',
    customId: chance.natural({ min: 999999, max: 9999999 }),
  },
  collection1: {
    id: standardCollID,
    title: chance.sentence(),
    type: 'collection',
    fragments: [fragment.id],
    owners: [user.id],
    save: jest.fn(() => collections.collection),
    invitations: [
      {
        id: chance.guid(),
        role: 'handlingEditor',
        hasAnswer: false,
        isAccepted: false,
        userId: handlingEditor.id,
        invitedOn: chance.timestamp(),
        respondedOn: null,
      },
      {
        id: chance.guid(),
        role: 'handlingEditor',
        hasAnswer: true,
        isAccepted: false,
        userId: answerHE.id,
        invitedOn: chance.timestamp(),
        respondedOn: chance.timestamp(),
      },
    ],
    handlingEditor: {
      id: handlingEditor.id,
      hasAnswer: false,
      isAccepted: false,
      email: handlingEditor.email,
      invitedOn: chance.timestamp(),
      respondedOn: null,
      name: `${handlingEditor.firstName} ${handlingEditor.lastName}`,
    },
    customId: '1234568',
    technicalChecks: {
      token: chance.guid(),
    },
    status: 'pendingApproval',
  },
}

module.exports = collections
